INSTALLPKG(8)

NAAM
installpkg - Installeer Slackware pakketten

SYNOPSIS
installpkg [ --warn ] [ --md5sum ] [ --root /andereroot ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /pad/naar/tagfile ] pakketnaam [ pakketnaam2 ... ]

BESCHRIJVING
installpkg installeert een of meer *.tgz (of .tbz, .tlz, .txz) binaire pakketten ontworpen voor gebruik met Slackware Linux op je systeem.

OPTIES

--warn pakketnaam
    Genereer een lijst met bestanden die zouden worden overschreven naar de standaard uitvoer maar installeer het pakket niet. De lijst is in een formaat dat als een lijst van bestanden kan worden geback-upt.

--md5sum pakketnaam
    Neem de md5sum van het pakket op in de metadata in /var/log/packages.

--root /andereroot
    Installeer op een andere locatie dan / (standaard) als de root van het bestandssysteem waarop geïnstalleerd wordt. In het voorbeeld wordt /andereroot gebruikt. Het instellen van de ROOT omgevingsvariabele doet hetzelfde.

--infobox
    Gebruik /bin/dialog om een informatieve dialoog weer te geven als het pakket wordt geïnstalleerd. Primair gebruikt wanneer installpkg wordt aangeroepen vanuit andere scripts.

--menu
    Gebruik /bin/dialog om een menu weer te geven dat de gebruiker vraagt de pakketten al dan niet te installeren. Over het algemeen gebruikt wanneer installpkg wordt aangeroepen vanuit andere scripts.

--terse
    Installeer het pakket en stuur een beschrijving van slechts een enkele regel naar standaard output.

--ask
    Wordt gebruikt in combinatie met -menu mode. Indien geselecteerd vraagt het altijd of een pakket moet worden geïnstalleerd ongeacht de prioriteit van het pakket.

--priority ADD|REC|OPT|SKP
    Bij installatie met de -menu optie, worden prioriteitsniveau's (gevonden in het bestand "tagfile" in de pakketdirectory) gebruikt om een pakket automatisch te installeren (ADD) of over te slaan (SKP), of om aanbevolen (REC) of optioneel (OPT) voor te stellen aan de gebruiker als een menu wordt weergegeven.Als een prioriteit op de commandoregel wordt opgegeven zal die worden gebruikt in plaats van de waarden in de tagfile voor de gehele pakkettenlijst.

--tagfile /pad/naar/tagfile
    Specificeer een ander bestand voor gebruik van pakketprioriteiten (in dit voorbeeld wordt /pad/naar/tagfile gebruikt). Standaard is dit "tagfile" in de pakketdirectory.

VOORBEELDEN

Installeer een font-pakket voor X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Merk op dat als het pakket al is geïinstalleerd, upgradepkg(8) moet worden gebruikt.

Maak een backup van de bestanden die zouden worden overschreven bij installatie van het pakket

tar czvf /tmp/backup.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTEUR
Patrick J. Volkerding <volkerdi@slackware.com>

ZIE OOK
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)